ServerEvents.recipes(event => {
    event.recipes.create.compacting(
        'automobility:auto_mechanic_table', // output
        [
            'minecraft:waxed_weathered_cut_copper_slab',
            'create:brass_casing',
            'thermal:tinker_bench'
        ]
    );
});


ServerEvents.recipes(event => {
    event.recipes.create.compacting(
        'automobility:automobile_assembler', // output
        [
            'minecraft:waxed_weathered_cut_copper_slab',
            'create:brass_casing',
            'minecraft:anvil'
        ]
    );
});

ServerEvents.recipes(event => {

    // Deploying (Create)
    event.recipes.create.deploying(
        'create:andesite_casing',
        [
            'createcompression:compressed_spruce_plank_2x',
            'create:andesite_alloy'
        ]
    );
});

ServerEvents.recipes(event => {
    event.recipes.create.item_application(
        'create:andesite_casing',
        [
            'createcompression:compressed_spruce_plank_2x',
            'create:andesite_alloy'
        ]
    );
});


ServerEvents.recipes(event => {
    event.recipes.create.deploying(
        'create:brass_casing',
        [
            'create:andesite_casing',
            'create:brass_ingot'
        ]
    );

});

ServerEvents.recipes(event => {
  
  event.recipes.createCrushing(
    [
      Item.of('minecraft:blaze_powder').withChance(0.50),
      Item.of('minecraft:cobblestone', 2).withChance(0.95)
    ],
    'minecraft:brewing_stand'
  ).id('kubejs:uncraft_brewing_stand');

});

ServerEvents.recipes(event => {
  
  event.recipes.createMilling(
    [
      Item.of('minecraft:blaze_powder').withChance(0.15),
      Item.of('minecraft:cobblestone', 2).withChance(0.75)
    ],
    'minecraft:brewing_stand'
  ).id('kubejs:uncraft_brewing_stand_milling');

});

ServerEvents.recipes(event => {
  
  event.recipes.createCrushing(
    [
      Item.of('minecraft:diamond').withChance(0.75),
      Item.of('minecraft:obsidian', 2).withChance(0.90)
    ],
    'minecraft:enchanting_table'
  ).id('kubejs:uncraft_enchanting_table');

});

ServerEvents.recipes(event => {
  
  event.recipes.createMilling(
    [
      Item.of('minecraft:diamond').withChance(0.45),
      Item.of('minecraft:obsidian', 2).withChance(0.65)
    ],
    'minecraft:enchanting_table'
  ).id('kubejs:uncraft_enchanting_table_milling');

});


BlockEvents.rightClicked('minecraft:lectern', event => {
  event.cancel()
});








